Skip to main content
PATCH
Update Prompt Template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

Body

application/json
name
string | null

Updated prompt template name.

version
string | null

Updated prompt template version.

is_active
boolean | null

Updated active status.

content
string | null

Updated prompt template content.

metadata
PromptTemplateMetadataRequest · object | null

Updated prompt template metadata. Only include tags and description.

Response

Successful Response

success
boolean
required

Whether the request was successful.

data
PromptTemplateMutationData · object
required

Prompt template mutation results.

error_type
string | null

Type of error if the request failed.

error_message
string | null

Error message or informational message.